Package com.independentsoft.office.word

# Class ProofState

java.lang.Object
com.independentsoft.office.word.ProofState

public class ProofState extends Object
The Class ProofState.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProofState()`
  Instantiates a new proof state.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProofState`
  `clone()`
  `ProofStateType`
  `getGrammaticalCheckingState()`
  Gets the grammatical checking state.
  `ProofStateType`
  `getSpellCheckingState()`
  Gets the spell checking state.
  `void`
  `setGrammaticalCheckingState​(ProofStateType grammaticalCheckingState)`
  Sets the grammatical checking state.
  `void`
  `setSpellCheckingState​(ProofStateType spellCheckingState)`
  Sets the spell checking state.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProofState

    public ProofState()
    Instantiates a new proof state.

- ## Method Details

  - ### clone

    public ProofState clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getGrammaticalCheckingState

    public ProofStateType getGrammaticalCheckingState()
    Gets the grammatical checking state.
    Returns:
      the grammatical checking state

  - ### setGrammaticalCheckingState

    public void setGrammaticalCheckingState​(ProofStateType grammaticalCheckingState)
    Sets the grammatical checking state.
    Parameters:
      `grammaticalCheckingState` - the new grammatical checking state

  - ### getSpellCheckingState

    public ProofStateType getSpellCheckingState()
    Gets the spell checking state.
    Returns:
      the spell checking state

  - ### setSpellCheckingState

    public void setSpellCheckingState​(ProofStateType spellCheckingState)
    Sets the spell checking state.
    Parameters:
      `spellCheckingState` - the new spell checking state